// CTESerial.h: interface for the CTESerial class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_CTESerial_H__40031A14_574D_11D4_B437_00104BC5231E__INCLUDED_)
#define AFX_CTESerial_H__40031A14_574D_11D4_B437_00104BC5231E__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CTESerial  
{
public:
	BOOL InitComm(UINT portnum = 1, UINT baud = 57600, UINT parity = PARITY_NONE, UINT databits = DATABITS_8, UINT stopbits = STOPBITS_10);
	int ShutDown();
	int Receive(CString & data);
	int Send(const CString & data);
	CTESerial();
	~CTESerial();

private:
	BOOL SetTimeouts(DWORD IntervalTimeout = 50, DWORD IntervalMultiplier = 1, DWORD IntervalAdjustment = 0, DWORD WriteTimeout = 50, DWORD WriteAdjustment = 0);
	BOOL CloseComm();
	BOOL Write_Comm(const CString &str, const DWORD writeLen, DWORD &dwWrite);
	BOOL Read_Comm(CString &str, DWORD &dwRead, const DWORD maxLen, bool lookforchar = false, char lastchar = '0');
	CString m_csPort;
	void Purge_Comm();
	DCB m_DCB;
	COMMTIMEOUTS m_Commtimeouts;
	HANDLE hPort;
};

#endif // !defined(AFX_CTESerial_H__40031A14_574D_11D4_B437_00104BC5231E__INCLUDED_)
